WriteNowParserInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
WriteNowParserInternal::State Struct Reference

Internal: the state of a WriteNowParser. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
long | m_endPos
| the last position More...
std::vector< MWAWColor > | m_colorMap
| the color map More...
std::vector< WriteNowEntry > | m_picturesList
| the list of picture entries More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...
int | m_numColumns
| the number of columns More...
int | m_columnWidth
| the columns size More...

## Detailed Description

Internal: the state of a WriteNowParser.

## Constructor & Destructor Documentation

## ◆ State()

WriteNowParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int WriteNowParserInternal::State::m_actPage

the actual page

## ◆ m_colorMap

std::vector<MWAWColor> WriteNowParserInternal::State::m_colorMap

the color map

## ◆ m_columnWidth

int WriteNowParserInternal::State::m_columnWidth

the columns size

## ◆ m_endPos

long WriteNowParserInternal::State::m_endPos

the last position

## ◆ m_footerHeight

int WriteNowParserInternal::State::m_footerHeight

the footer height if known

## ◆ m_headerHeight

int WriteNowParserInternal::State::m_headerHeight

the header height if known

## ◆ m_numColumns

int WriteNowParserInternal::State::m_numColumns

the number of columns

## ◆ m_numPages

int WriteNowParserInternal::State::m_numPages

the number of page of the final document

## ◆ m_picturesList

std::vector<WriteNowEntry> WriteNowParserInternal::State::m_picturesList

the list of picture entries

The documentation for this struct was generated from the following file:

- WriteNowParser.cxx